Bug 1286966 - (CVE-2015-8370) CVE-2015-8370 grub2: buffer overflow when checking password entered during bootup
CVE-2015-8370 grub2: buffer overflow when checking password entered during bo...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151210,repor...
: Security
Depends On: 1288493 1288494 1290417
Blocks: 1286968
  Show dependency treegraph
 
Reported: 2015-12-01 04:09 EST by Martin Prpič
Modified: 2015-12-16 02:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way grub2 handled backspace characters entered in username and password prompts. An attacker with access to the system console could use this flaw to bypass grub2 password protection and gain administrative access to the system.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 06:07:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream fix (1.24 KB, patch)
2015-12-01 13:44 EST, Peter Jones
no flags Details | Diff

  None (edit)
Description Martin Prpič 2015-12-01 04:09:42 EST
A buffer overflow flaw was found in the way grub2 checked the password entered by the user during bootup. A local attacker could use this flaw to circumvent the password check and, potentially, execute arbitrary code on the system.
Comment 1 Peter Jones 2015-12-01 13:44 EST
Created attachment 1100986 [details]
Upstream fix

Here's the fix.
Comment 7 Martin Prpič 2015-12-10 08:14:13 EST
Created grub2 tracking bugs for this issue:

Affects: fedora-all [bug 1290417]
Comment 8 Martin Prpič 2015-12-10 08:16:20 EST
This flaw has been presented at the CCN-CERT conference by the UPV security team:

https://twitter.com/lostinsecurity/status/674925944524640257
Comment 9 errata-xmlrpc 2015-12-15 05:02:07 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2623 https://rhn.redhat.com/errata/RHSA-2015-2623.html
Comment 10 Tomas Hoger 2015-12-15 09:14:05 EST
Detailed write-up from the original reporters.

External References:

http://hmarco.org/bugs/CVE-2015-8370-Grub2-authentication-bypass.html

Note You need to log in before you can comment on or make changes to this bug.